解决Android 工程出现 unable to get system library for th
博客专区 > cyper 的博客 > 博客详情
解决Android 工程出现 unable to get system library for th
cyper 发表于3年前
解决Android 工程出现 unable to get system library for th
  • 发表于 3年前
  • 阅读 19
  • 收藏 0
  • 点赞 0
  • 评论 0

【腾讯云】如何购买服务器最划算?>>>   

出现上面异常是android sdk 版本问题

 

解决办法:

解决问题的方法是打开工程中的project.properties文件,把版本号改高。
 

比如:# Project target.

target=android-17

出现原因分析:

当我们从别处引入android工程时,会出现 unable to get system library for the project 的提示。这是由于sdk版本不兼容导致的。假设自己使用的sdk等级是17,而引入的工程sdk等级是10,便会出现版本不兼容的错误

标准答案在这里:

“Unable to get system library for project


共有 人打赏支持
cyper
粉丝 56
博文 619
码字总数 143069
×
cyper
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: